import Logger from './Logger';
import { ClientStatus } from './consts/Enums';
import TypedEventEmitter from './consts/TypedEventEmitter';
type BaseClientEvents = {
    'status.changed': ClientStatus;
};
declare abstract class BaseClient<T extends BaseClientEvents = BaseClientEvents> extends TypedEventEmitter<T> {
    protected readonly logger: Logger;
    readonly symbol: string;
    protected readonly RECONNECT_INTERVAL = 5000;
    protected reconnectionTimer?: any;
    private status;
    protected constructor(logger: Logger, symbol: string);
    abstract serviceName(): string;
    isConnected(): boolean;
    isDisconnected(): boolean;
    isOutOfSync(): boolean;
    setClientStatus: (status: ClientStatus) => void;
    raceCall: <T_1>(promise: Promise<T_1> | (() => Promise<T_1>), raceHandler: (reason?: any) => void, raceTimeout: number) => Promise<T_1>;
    protected clearReconnectTimer: () => void;
    private getName;
}
export default BaseClient;
