"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.satoshisToSatcomma = exports.satoshisToPaddedCoins = exports.satoshisToCoins = exports.coinsToSatoshis = void 0;
const decimals = 8;
const satFactor = 100000000;
/**
 * Round a number to a specific amount of decimals
 */
const roundToDecimals = (number, decimals) => {
    return Number(number.toFixed(decimals));
};
/**
 * Convert whole coins to satoshis
 */
const coinsToSatoshis = (coins) => {
    return coins * satFactor;
};
exports.coinsToSatoshis = coinsToSatoshis;
/**
 * Convert satoshis to whole coins and remove trailing zeros
 */
const satoshisToCoins = (satoshis) => {
    return roundToDecimals(satoshis / satFactor, decimals);
};
exports.satoshisToCoins = satoshisToCoins;
/**
 * Convert satoshis to whole coins with trailing zeros
 */
const satoshisToPaddedCoins = (satoshis) => {
    return (satoshis / satFactor).toFixed(decimals);
};
exports.satoshisToPaddedCoins = satoshisToPaddedCoins;
const satoshisToSatcomma = (satoshis) => {
    let coins = (satoshis / satFactor).toFixed(decimals);
    for (const [num, index] of [3, 6].entries()) {
        coins = `${coins.substring(0, coins.length - index - num)},${coins.substring(coins.length - index - num)}`;
    }
    return coins;
};
exports.satoshisToSatcomma = satoshisToSatcomma;
//# sourceMappingURL=DenominationConverter.js.map