"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpHeap = void 0;
const fs_1 = __importDefault(require("fs"));
const v8_1 = require("v8");
const dumpHeap = async (filePath) => new Promise((resolve, reject) => {
    const snapshot = (0, v8_1.getHeapSnapshot)();
    const fileStream = fs_1.default.createWriteStream(filePath);
    snapshot.pipe(fileStream);
    fileStream.on('finish', () => {
        fileStream.end();
        resolve();
    });
    fileStream.on('error', (err) => reject(err));
});
exports.dumpHeap = dumpHeap;
//# sourceMappingURL=HeapDump.js.map