import { Request, Response } from 'express';
import Logger from '../Logger';
import CountryCodes from '../service/CountryCodes';
import { SwapUpdate } from '../service/EventHandler';
import Service from '../service/Service';
declare class Controller {
    private readonly logger;
    private readonly service;
    private readonly countryCodes;
    pendingSwapInfos: Map<string, SwapUpdate>;
    private pendingSwapStreams;
    constructor(logger: Logger, service: Service, countryCodes: CountryCodes);
    init: () => Promise<void>;
    serveFile: (fileName: string) => (_: Request, res: Response) => void;
    version: (_: Request, res: Response) => void;
    getPairs: (_: Request, res: Response) => void;
    getNodes: (_: Request, res: Response) => void;
    getNodeStats: (_: Request, res: Response) => void;
    getTimeouts: (_: Request, res: Response) => Promise<void>;
    getContracts: (req: Request, res: Response) => Promise<void>;
    getFeeEstimation: (_: Request, res: Response) => Promise<void>;
    routingHints: (req: Request, res: Response) => Promise<void>;
    swapStatus: (req: Request, res: Response) => Promise<void>;
    swapRates: (req: Request, res: Response) => Promise<void>;
    getTransaction: (req: Request, res: Response) => Promise<void>;
    getSwapTransaction: (req: Request, res: Response) => Promise<void>;
    broadcastTransaction: (req: Request, res: Response) => Promise<void>;
    createSwap: (req: Request, res: Response) => Promise<void>;
    private createSubmarineSwap;
    private createReverseSubmarineSwap;
    setInvoice: (req: Request, res: Response) => Promise<void>;
    queryReferrals: (req: Request, res: Response) => Promise<void>;
    streamSwapStatus: (req: Request, res: Response) => void;
    private parseSwapType;
    private writeToSse;
}
export default Controller;
