/// <reference types="node" />
import { Request, Response } from 'express';
import Logger from '../Logger';
import CountryCodes from '../service/CountryCodes';
export type ApiArgument = {
    name: string;
    type: 'string' | 'number' | 'boolean' | 'object';
    hex?: boolean;
    optional?: boolean;
};
/**
 * Validates that all required arguments were provided in the body correctly
 *
 * @returns the validated arguments
 */
export declare const validateRequest: (body: Record<string, any>, argsToCheck: ApiArgument[]) => any;
export declare const errorResponse: (logger: Logger, req: Request, res: Response, error: unknown, statusCode?: number) => void;
export declare const successResponse: (res: Response, data: unknown) => void;
export declare const createdResponse: (res: Response, data: unknown) => void;
export declare const writeErrorResponse: (logger: Logger, req: Request, res: Response, statusCode: number, error: any) => void;
export declare const setContentTypeJson: (res: Response) => void;
export declare const checkPreimageHashLength: (preimageHash: Buffer) => void;
export declare const markSwap: (countryCodes: CountryCodes, ip: string, swapId: string) => Promise<void>;
