"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Consts_1 = require("./Consts");
const ChainRouter_1 = __importDefault(require("./routers/ChainRouter"));
const InfoRouter_1 = __importDefault(require("./routers/InfoRouter"));
const NodesRouter_1 = __importDefault(require("./routers/NodesRouter"));
const ReferralRouter_1 = __importDefault(require("./routers/ReferralRouter"));
const SwapRouter_1 = __importDefault(require("./routers/SwapRouter"));
class ApiV2 {
    constructor(logger, service, controller, countryCodes) {
        this.logger = logger;
        this.registerRoutes = (app) => {
            this.routers.forEach((router) => app.use(`${Consts_1.apiPrefix}/${router.path}`, router.getRouter()));
        };
        this.routers = [
            new InfoRouter_1.default(this.logger, service),
            new SwapRouter_1.default(this.logger, service, controller, countryCodes),
            new ChainRouter_1.default(this.logger, service),
            new NodesRouter_1.default(this.logger, service),
            new ReferralRouter_1.default(this.logger),
        ];
    }
}
exports.default = ApiV2;
//# sourceMappingURL=ApiV2.js.map