/// <reference types="node" />
import http from 'http';
import Service from '../../service/Service';
import Controller from '../Controller';
declare enum Operation {
    Subscribe = "subscribe",
    Update = "update"
}
declare enum SubscriptionChannel {
    SwapUpdate = "swap.update"
}
declare class WebSocketHandler {
    private readonly service;
    private readonly controller;
    private static readonly pingIntervalMs;
    private readonly ws;
    private pingInterval?;
    private readonly swapToSockets;
    private readonly socketToSwaps;
    constructor(service: Service, controller: Controller);
    register: (server: http.Server) => void;
    close: () => void;
    private listenConnections;
    private handleMessage;
    private handleSubscribe;
    private listenSwapUpdates;
    private sendToSocket;
}
export default WebSocketHandler;
export { Operation, SubscriptionChannel };
