import { Request, Response, Router } from 'express';
import Logger from '../../../Logger';
declare abstract class RouterBase {
    protected readonly logger: Logger;
    readonly path: string;
    protected constructor(logger: Logger, path: string);
    /**
     * @openapi
     * components:
     *   schemas:
     *     ErrorResponse:
     *       type: object
     *       properties:
     *         error:
     *           type: string
     *           required: true
     *           description: Description of the error that caused the request to fail
     */
    abstract getRouter: () => Router;
    protected handleError: (handler: (req: Request, res: Response) => void | Promise<void>) => (req: Request, res: Response) => Promise<void>;
}
export default RouterBase;
