"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../../Utils");
class RouterBase {
    constructor(logger, path) {
        this.logger = logger;
        this.handleError = (handler) => {
            return async (req, res) => {
                try {
                    await handler(req, res);
                }
                catch (e) {
                    (0, Utils_1.errorResponse)(this.logger, req, res, e, 400);
                }
            };
        };
        this.path = path;
    }
}
exports.default = RouterBase;
//# sourceMappingURL=RouterBase.js.map