import { BackupConfig, PostgresConfig } from '../Config';
import Logger from '../Logger';
import EventHandler from '../service/EventHandler';
interface BackupProvider {
    uploadString(path: string, data: string): Promise<void>;
    uploadFile(path: string, file: string): Promise<void>;
}
declare class BackupScheduler {
    private readonly logger;
    private readonly dbpath;
    private readonly postgresConfig;
    private readonly config;
    private readonly eventHandler;
    private readonly providers;
    constructor(logger: Logger, dbpath: string, postgresConfig: PostgresConfig | undefined, config: BackupConfig, eventHandler: EventHandler);
    init: () => Promise<void>;
    private static getDate;
    /**
     * Adds a leading 0 to the provided number if it is smaller than 10
     */
    private static addLeadingZeros;
    uploadDatabase: (date: Date) => Promise<void>;
    private uploadFile;
    private uploadString;
    private subscribeChannelBackups;
    private logProviderEnabled;
}
export default BackupScheduler;
export { BackupProvider };
