"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const storage_1 = require("@google-cloud/storage");
const fs_1 = require("fs");
class GoogleCloud {
    constructor(config) {
        this.uploadString = (path, data) => {
            const file = this.bucket.file(path);
            return file.save(data);
        };
        this.uploadFile = async (path, file) => {
            await this.bucket.upload(file, {
                destination: path,
            });
        };
        const storage = new storage_1.Storage({
            credentials: {
                client_email: config.email,
                private_key: (0, fs_1.readFileSync)(config.privatekeypath, 'utf-8'),
            },
        });
        this.bucket = storage.bucket(config.bucketname);
    }
}
GoogleCloud.configValid = (config) => {
    return (config.email !== '' &&
        config.privatekeypath !== '' &&
        config.bucketname !== '');
};
exports.default = GoogleCloud;
//# sourceMappingURL=GoogleCloud.js.map