"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = require("path");
class Webdav {
    constructor(config) {
        this.config = config;
        this.init = async () => {
            // Hack to import the module in CommonJS
            const imp = await eval("import('webdav')");
            this.client = imp.createClient(this.config.url, {
                username: this.config.username,
                password: this.config.password,
            });
        };
        this.uploadString = async (path, data) => {
            await this.createDirectory(path);
            await this.client.putFileContents(path, data, {
                overwrite: true,
            });
        };
        this.uploadFile = async (path, file) => {
            await this.createDirectory(path);
            return new Promise((resolve, reject) => {
                const stats = fs_1.default.statSync(file);
                fs_1.default.createReadStream(file)
                    .pipe(this.client
                    .createWriteStream(path, {
                    headers: {
                        'Content-Length': stats.size.toString(),
                    },
                    overwrite: true,
                })
                    .on('error', (error) => {
                    reject(error);
                }))
                    .on('finish', () => {
                    resolve();
                })
                    .on('error', (error) => {
                    reject(error);
                });
            });
        };
        this.createDirectory = async (path) => {
            if (!path.includes('/')) {
                return;
            }
            const dir = (0, path_1.dirname)(path);
            if (await this.client.exists(dir)) {
                return;
            }
            await this.client.createDirectory(dir, {
                recursive: true,
            });
        };
    }
}
Webdav.configValid = (config) => {
    return (config.url !== '' && config.username !== '' && config.password !== '');
};
exports.default = Webdav;
//# sourceMappingURL=Webdav.js.map