"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const Enums_1 = require("../consts/Enums");
exports.default = {
    NO_RAWTX: () => ({
        message: 'pubrawtx ZMQ notifications are not enabled',
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Chain, 1),
    }),
    NO_BLOCK_NOTIFICATIONS: () => ({
        message: 'no ZMQ block notifications are enabled',
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Chain, 2),
    }),
    NO_BLOCK_FALLBACK: () => ({
        message: 'could not fall back to pubhashblock ZMQ filter because it is not enabled',
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Chain, 3),
    }),
    INVALID_COOKIE_FILE: (path) => ({
        message: `invalid cookie authentication file: ${path}`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Chain, 4),
    }),
    NO_AUTHENTICATION: () => ({
        message: 'no or invalid authentication specified',
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Chain, 5),
    }),
    ZMQ_CONNECTION_TIMEOUT: (symbol, filter, address) => ({
        message: `connection attempt to ${symbol} ZMQ filter ${filter} (${address}) timed out`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Chain, 6),
    }),
};
//# sourceMappingURL=Errors.js.map