import { SwapUpdateEvent } from '../consts/Enums';
type PartialSignature = {
    pubNonce: string;
    partialSignature: string;
};
declare class BoltzApiClient {
    private readonly endpoint;
    static readonly regtestEndpoint = "http://127.0.0.1:9001";
    constructor(endpoint?: string);
    getStatus: (swapId: string) => Promise<{
        status: SwapUpdateEvent;
        transaction?: {
            hex: string;
        };
    }>;
    getSwapTransaction: (swapId: string) => Promise<{
        transactionHex: string;
    }>;
    getSwapRefundPartialSignature: (swapId: string, transaction: string, vin: number, pubNonce: string) => Promise<PartialSignature>;
    getReverseClaimPartialSignature: (swapId: string, preimage: string, transaction: string, vin: number, pubNonce: string) => Promise<PartialSignature>;
}
export default BoltzApiClient;
export { PartialSignature };
