"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
class BoltzApiClient {
    constructor(endpoint = BoltzApiClient.regtestEndpoint) {
        this.endpoint = endpoint;
        this.getStatus = async (swapId) => (await axios_1.default.post(`${this.endpoint}/swapstatus`, {
            id: swapId,
        })).data;
        this.getSwapTransaction = async (swapId) => (await axios_1.default.post(`${this.endpoint}/getswaptransaction`, {
            id: swapId,
        })).data;
        this.getSwapRefundPartialSignature = async (swapId, transaction, vin, pubNonce) => (await axios_1.default.post(`${this.endpoint}/v2/swap/submarine/refund`, {
            pubNonce,
            transaction,
            id: swapId,
            index: vin,
        })).data;
        this.getReverseClaimPartialSignature = async (swapId, preimage, transaction, vin, pubNonce) => (await axios_1.default.post(`${this.endpoint}/v2/swap/reverse/claim`, {
            pubNonce,
            preimage,
            transaction,
            id: swapId,
            index: vin,
        })).data;
    }
}
BoltzApiClient.regtestEndpoint = 'http://127.0.0.1:9001';
exports.default = BoltzApiClient;
//# sourceMappingURL=BoltzApiClient.js.map