/// <reference types="node" />
import { Network, Transaction } from 'bitcoinjs-lib';
import { Musig, Types } from 'boltz-core';
import { ECPairInterface } from 'ecpair';
import { Transaction as LiquidTransaction } from 'liquidjs-lib';
import { Network as LiquidNetwork } from 'liquidjs-lib/src/networks';
import { Arguments } from 'yargs';
import { CurrencyType } from '../consts/Enums';
import { BoltzClient } from '../proto/boltzrpc_grpc_pb';
export interface GrpcResponse {
    toObject: () => any;
}
export declare const loadBoltzClient: (argv: Arguments<any>) => BoltzClient;
export declare const callback: <T extends GrpcResponse>(formatter?: ((res: T) => any) | undefined) => (error: Error | null, response: T) => void;
export declare const prepareTx: (argv: Arguments<any>, keyExtractionFunc: (tree: Types.SwapTree) => Buffer) => Promise<any>;
export declare const getWalletStub: (type: CurrencyType, network: Network | LiquidNetwork, destinationAddress: string, blindingKey: string) => any;
export declare const parseBlindingKey: (type: CurrencyType, blindingKey: string) => Buffer | undefined;
export declare const parseNetwork: (network: string) => any;
export declare const currencyTypeFromNetwork: (network: string) => CurrencyType.BitcoinLike | CurrencyType.Liquid;
export declare const printResponse: (response: unknown) => void;
export declare const printError: (error: Error) => void;
export declare const musigFromExtractedKey: (type: CurrencyType, ourKeys: ECPairInterface, theirPublicKey: Buffer, tree: Types.SwapTree, lockupTx: Transaction | LiquidTransaction) => {
    musig: Musig;
    tweakedKey: Buffer;
    swapOutput: {
        type: import("boltz-core").OutputType;
        vout: number;
    } & (import("bitcoinjs-lib").TxOutput | (Omit<import("bitcoinjs-lib").TxOutput, "value"> & {
        value: Buffer;
        asset: Buffer;
        nonce: Buffer;
        rangeProof?: Buffer | undefined;
        surjectionProof?: Buffer | undefined;
    }));
    theirPublicKey: Buffer;
};
