/// <reference types="node" />
import { Network, Transaction } from 'bitcoinjs-lib';
import { Musig, RefundDetails, Types } from 'boltz-core';
import { LiquidRefundDetails } from 'boltz-core/dist/lib/liquid';
import { ECPairInterface } from 'ecpair';
import { Network as LiquidNetwork } from 'liquidjs-lib/src/networks';
import { Transaction as LiquidTransaction } from 'liquidjs-lib/src/transaction';
import { Arguments } from 'yargs';
import { CurrencyType } from '../consts/Enums';
import { PartialSignature } from './BoltzApiClient';
export declare const setupCooperativeTransaction: (argv: Arguments<any>, keyExtractionFunc: (tree: Types.SwapTree) => Buffer, lockupTx: Transaction | LiquidTransaction) => Promise<{
    keys: ECPairInterface;
    musig: Musig;
    network: any;
    tweakedKey: Buffer;
    currencyType: CurrencyType;
    theirPublicKey: Buffer;
}>;
export declare const prepareCooperativeTransaction: <T extends LiquidTransaction | Transaction>(argv: Arguments<any>, network: Network | LiquidNetwork, currencyType: CurrencyType, keys: ECPairInterface, tweakedKey: Buffer, lockupTx: T) => {
    tx: T;
    details: RefundDetails | LiquidRefundDetails;
};
export declare const finalizeCooperativeTransaction: <T extends LiquidTransaction | Transaction>(tx: T, musig: Musig, network: Network | LiquidNetwork, currencyType: CurrencyType, otherPublicKey: Buffer, details: RefundDetails | LiquidRefundDetails, partialSig: PartialSignature) => T;
