"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const Command_1 = require("../Command");
exports.command = 'addreferral <id> <feeShare> [routingNode]';
exports.describe = 'adds a new referral ID to the database';
exports.builder = {
    id: {
        type: 'string',
        describe: 'ID of the referral',
    },
    feeShare: {
        type: 'number',
        describe: 'percentage share of the referral',
    },
    routingNode: {
        type: 'string',
        describe: 'optional routing node with which the referral ID should be associated',
    },
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.AddReferralRequest();
    request.setId(argv.id);
    request.setFeeShare(argv.feeShare);
    request.setRoutingNode(argv.routingNode);
    (0, Command_1.loadBoltzClient)(argv).addReferral(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=AddReferral.js.map