"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltz_core_1 = require("boltz-core");
const Core_1 = require("../../Core");
const Utils_1 = require("../../Utils");
const BuilderComponents_1 = __importDefault(require("../BuilderComponents"));
const Command_1 = require("../Command");
exports.command = 'claim <network> <preimage> <privateKey> <redeemScript> <rawTransaction> <destinationAddress> [feePerVbyte] [blindingKey]';
exports.describe = 'claims reverse submarine or chain to chain swaps';
exports.builder = {
    network: BuilderComponents_1.default.network,
    preimage: BuilderComponents_1.default.preimage,
    privateKey: BuilderComponents_1.default.privateKey,
    redeemScript: BuilderComponents_1.default.redeemScript,
    rawTransaction: BuilderComponents_1.default.rawTransaction,
    destinationAddress: BuilderComponents_1.default.destinationAddress,
    feePerVbyte: BuilderComponents_1.default.feePerVbyte,
    blindingKey: BuilderComponents_1.default.blindingKey,
};
const handler = async (argv) => {
    const { keys, walletStub, swapOutput, transaction, redeemScript, destinationAddress, } = await (0, Command_1.prepareTx)(argv, boltz_core_1.extractRefundPublicKeyFromReverseSwapTree);
    const claimTransaction = (0, Core_1.constructClaimTransaction)(walletStub, [
        {
            ...swapOutput,
            keys,
            redeemScript,
            txHash: transaction.getHash(),
            preimage: (0, Utils_1.getHexBuffer)(argv.preimage),
        },
    ], destinationAddress, argv.feePerVbyte).toHex();
    console.log((0, Utils_1.stringify)({ claimTransaction }));
};
exports.handler = handler;
//# sourceMappingURL=Claim.js.map