"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const Command_1 = require("../Command");
exports.command = 'deriveblindingkeys <address>';
exports.describe = 'derives a the blinding keypair of an address';
exports.builder = {
    address: {
        describe: 'address for which the blinding keys should be derived',
        type: 'string',
    },
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.DeriveBlindingKeyRequest();
    request.setAddress(argv.address);
    (0, Command_1.loadBoltzClient)(argv).deriveBlindingKeys(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=DeriveBlindingKeys.js.map