"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const Command_1 = require("../Command");
exports.command = 'dev-heapdump [path]';
exports.describe = 'dumps the heap of the daemon into a file';
exports.builder = {
    path: {
        type: 'string',
        describe: 'path to which the heap should be dumped',
    },
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.DevHeapDumpRequest();
    request.setPath(argv.path);
    (0, Command_1.loadBoltzClient)(argv).devHeapDump(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=DevHeapDump.js.map