"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const BuilderComponents_1 = __importDefault(require("../BuilderComponents"));
const Command_1 = require("../Command");
exports.command = 'getaddress <symbol>';
exports.describe = 'gets an address of a specified wallet';
exports.builder = {
    symbol: BuilderComponents_1.default.symbol,
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.GetAddressRequest();
    request.setSymbol(argv.symbol);
    (0, Command_1.loadBoltzClient)(argv).getAddress(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=GetAddress.js.map