"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const bitcoinjs_lib_1 = require("bitcoinjs-lib");
const Utils_1 = require("../../Utils");
exports.command = 'hash <value>';
exports.describe = 'parses a hex value and hashes it';
exports.builder = {
    value: {
        type: 'string',
        describe: 'hex value',
    },
};
const handler = (argv) => {
    const preimage = (0, Utils_1.getHexBuffer)(argv.value);
    console.log((0, Utils_1.stringify)({
        sha256: (0, Utils_1.getHexString)(bitcoinjs_lib_1.crypto.sha256(preimage)),
        hash160: (0, Utils_1.getHexString)(bitcoinjs_lib_1.crypto.hash160(preimage)),
    }));
};
exports.handler = handler;
//# sourceMappingURL=Hash.js.map