"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const BuilderComponents_1 = __importDefault(require("../BuilderComponents"));
const Command_1 = require("../Command");
exports.command = 'rescan <symbol> <startHeight>';
exports.describe = 'rescans the chain of a symbol';
exports.builder = {
    symbol: BuilderComponents_1.default.symbol,
    startHeight: {
        describe: 'block height to start the rescan from',
        type: 'number',
    },
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.RescanRequest();
    request.setSymbol(argv.symbol);
    request.setStartHeight(argv.startHeight);
    (0, Command_1.loadBoltzClient)(argv).rescan(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=Rescan.js.map