"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const Command_1 = require("../Command");
exports.command = 'setswapstatus <id> <status>';
exports.describe = 'changes swap status in the database';
exports.builder = {
    id: {
        type: 'string',
        describe: 'ID of the swap',
    },
    status: {
        type: 'string',
        describe: 'swap status',
    },
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.SetSwapStatusRequest();
    request.setId(argv.id);
    request.setStatus(argv.status);
    (0, Command_1.loadBoltzClient)(argv).setSwapStatus(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=SetSwapStatus.js.map