"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const BuilderComponents_1 = __importDefault(require("../BuilderComponents"));
const Command_1 = require("../Command");
exports.command = 'sweepswaps [symbol]';
exports.describe = 'sweeps all deferred swap claims';
exports.builder = {
    symbol: BuilderComponents_1.default.symbol,
};
const handler = (argv) => {
    const request = new boltzrpc_pb_1.SweepSwapsRequest();
    if (argv.symbol !== undefined && argv.symbol !== '') {
        request.setSymbol(argv.symbol);
    }
    (0, Command_1.loadBoltzClient)(argv).sweepSwaps(request, (0, Command_1.callback)((res) => {
        const sweep = {};
        for (const [, [symbol, swapIds]] of res
            .toObject()
            .claimedSymbolsMap.entries()) {
            sweep[symbol] = swapIds.claimedIdsList;
        }
        return sweep;
    }));
};
exports.handler = handler;
//# sourceMappingURL=SweepSwaps.js.map