"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.describe = exports.handler = exports.command = exports.builder = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const Command_1 = require("../Command");
const command = 'updatetimeout <reverse> <swap_min> <swap_max> <swap_taproot>';
exports.command = command;
const describe = 'updates the timeout block delta of a pair';
exports.describe = describe;
const builder = {
    pair: {
        describe: 'id of the pair',
        type: 'string',
    },
    reverse: {
        describe: 'new reverse swap timeout block delta in minutes',
        type: 'number',
    },
    swap_min: {
        describe: 'new minimal swap timeout block delta in minutes',
        type: 'number',
    },
    swap_max: {
        describe: 'new maximal swap timeout block delta in minutes',
        type: 'number',
    },
    swap_taproot: {
        describe: 'new Taproot swap timeout block delta in minutes',
        type: 'number',
    },
};
exports.builder = builder;
const handler = (argv) => {
    const request = new boltzrpc_pb_1.UpdateTimeoutBlockDeltaRequest();
    request.setPair(argv.pair);
    request.setReverseTimeout(argv.reverse);
    request.setSwapMinimalTimeout(argv.swap_min);
    request.setSwapMaximalTimeout(argv.swap_max);
    request.setSwapTaproot(argv.swap_taproot);
    (0, Command_1.loadBoltzClient)(argv).updateTimeoutBlockDelta(request, (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=UpdateTimeoutBlockDelta.js.map