"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLogsQueryStartHeight = exports.connectEthereum = exports.getBoltzAddress = exports.getContracts = void 0;
const boltz_core_1 = require("boltz-core");
const ethers_1 = require("ethers");
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
const process = __importStar(require("process"));
const Config_1 = __importDefault(require("../../Config"));
const getBoltzFilePath = (file) => path_1.default.join(process.env.HOME, '.boltz', file);
const getBoltzWallet = () => {
    const filePath = getBoltzFilePath('seed.dat');
    if ((0, fs_1.existsSync)(filePath)) {
        return ethers_1.Wallet.fromPhrase((0, fs_1.readFileSync)(filePath, {
            encoding: 'utf-8',
        }).trim());
    }
    throw 'no Boltz wallet found';
};
const loadConfig = () => new Config_1.default().load({ configpath: getBoltzFilePath('boltz.conf') });
const getContracts = (chain, signer) => {
    const config = loadConfig()[chain];
    if (config === undefined) {
        throw `${chain} configuration missing`;
    }
    const contracts = {};
    Object.entries({
        etherSwap: {
            abi: boltz_core_1.ContractABIs.EtherSwap,
            address: config.etherSwapAddress,
        },
        erc20Swap: {
            abi: boltz_core_1.ContractABIs.ERC20Swap,
            address: config.erc20SwapAddress,
        },
        token: {
            abi: boltz_core_1.ContractABIs.ERC20,
            address: config.tokens.find((token) => token.contractAddress !== undefined).contractAddress,
        },
    }).forEach(([name, config]) => (contracts[name] = new ethers_1.Contract(config.address, config.abi, signer)));
    return contracts;
};
exports.getContracts = getContracts;
const getBoltzAddress = async () => getBoltzWallet().getAddress();
exports.getBoltzAddress = getBoltzAddress;
const connectEthereum = async (providerUrl) => getBoltzWallet().connect(new ethers_1.JsonRpcProvider(providerUrl));
exports.connectEthereum = connectEthereum;
const getLogsQueryStartHeight = async (provider, delta) => {
    const blockHeight = await provider.getBlockNumber();
    return blockHeight - delta;
};
exports.getLogsQueryStartHeight = getLogsQueryStartHeight;
//# sourceMappingURL=EthereumUtils.js.map