"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const EthereumUtils_1 = require("../EthereumUtils");
exports.command = 'mine <blocks>';
exports.describe = 'mines the specified number of blocks on the Ganache chain';
exports.builder = {
    blocks: {
        describe: 'number of blocks to mine',
        type: 'number',
    },
};
const handler = async (argv) => {
    const signer = await (0, EthereumUtils_1.connectEthereum)(argv.provider);
    const signerAddress = await signer.getAddress();
    const nonce = await signer.getNonce();
    // Since Anvil mines a block whenever a transaction is sent, we are just going to send transactions
    // and wait for a confirmation until the specified number of blocks is mined
    for (let i = 0; i < argv.blocks; i += 1) {
        await signer.sendTransaction({
            to: signerAddress,
            nonce: nonce + i,
        });
    }
    console.log(`Mined ${argv.blocks} blocks`);
};
exports.handler = handler;
//# sourceMappingURL=Mine.js.map