"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DefaultMap extends Map {
    constructor(valueConstructor, entries) {
        super(entries);
        this.valueConstructor = valueConstructor;
        this.getNoDefault = (key) => super.get(key);
        this.get = (key) => {
            const value = super.get(key);
            if (value !== undefined) {
                return value;
            }
            const newValue = this.valueConstructor();
            this.set(key, newValue);
            return newValue;
        };
    }
}
exports.default = DefaultMap;
//# sourceMappingURL=DefaultMap.js.map