export declare enum ErrorCodePrefix {
    General = 0,
    Grpc = 1,
    Service = 2,
    Wallet = 3,
    Chain = 4,
    Lightning = 5,
    Swap = 6,
    Rates = 7,
    Backup = 8,
    Ethereum = 9
}
export declare enum ClientStatus {
    Disconnected = "disconnected",
    Connected = "connected",
    OutOfSync = "out of sync"
}
export declare enum OrderSide {
    BUY = 0,
    SELL = 1
}
export declare enum SwapUpdateEvent {
    SwapCreated = "swap.created",
    SwapExpired = "swap.expired",
    ChannelCreated = "channel.created",
    InvoiceSet = "invoice.set",
    InvoicePaid = "invoice.paid",
    InvoicePending = "invoice.pending",
    InvoiceSettled = "invoice.settled",
    InvoiceFailedToPay = "invoice.failedToPay",
    TransactionFailed = "transaction.failed",
    TransactionMempool = "transaction.mempool",
    TransactionClaimPending = "transaction.claim.pending",
    TransactionClaimed = "transaction.claimed",
    TransactionRefunded = "transaction.refunded",
    TransactionConfirmed = "transaction.confirmed",
    TransactionLockupFailed = "transaction.lockupFailed",
    TransactionZeroConfRejected = "transaction.zeroconf.rejected",
    MinerFeePaid = "minerfee.paid",
    InvoiceExpired = "invoice.expired"
}
export declare const SuccessSwapUpdateEvents: SwapUpdateEvent[];
export declare const FailedSwapUpdateEvents: SwapUpdateEvent[];
export declare const NotPendingSwapEvents: SwapUpdateEvent[];
export declare const NotPendingReverseSwapEvents: SwapUpdateEvent[];
export declare enum ChannelCreationType {
    Auto = "auto",
    Create = "create"
}
export declare enum ChannelCreationStatus {
    Attempted = "attempted",
    Created = "created",
    Settled = "settled",
    Abandoned = "abandoned"
}
export declare enum ServiceWarning {
    ReverseSwapsDisabled = "reverse.swaps.disabled"
}
export declare enum ServiceInfo {
    PrepayMinerFee = "prepay.minerfee"
}
export declare enum Network {
    Mainnet = "mainnet",
    Testnet = "testnet",
    Simnet = "simnet",
    Regtest = "regtest"
}
export declare enum SwapType {
    Submarine = "submarine",
    ReverseSubmarine = "reversesubmarine"
}
export declare enum BaseFeeType {
    NormalClaim = 0,
    ReverseLockup = 1,
    ReverseClaim = 2
}
export declare enum CurrencyType {
    BitcoinLike = 0,
    Ether = 1,
    ERC20 = 2,
    Liquid = 3
}
export declare enum SwapVersion {
    Legacy = 0,
    Taproot = 1
}
export declare const swapVersionToString: (version: SwapVersion) => string;
