"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.swapVersionToString = exports.SwapVersion = exports.CurrencyType = exports.BaseFeeType = exports.SwapType = exports.Network = exports.ServiceInfo = exports.ServiceWarning = exports.ChannelCreationStatus = exports.ChannelCreationType = exports.NotPendingReverseSwapEvents = exports.NotPendingSwapEvents = exports.FailedSwapUpdateEvents = exports.SuccessSwapUpdateEvents = exports.SwapUpdateEvent = exports.OrderSide = exports.ClientStatus = exports.ErrorCodePrefix = void 0;
var ErrorCodePrefix;
(function (ErrorCodePrefix) {
    ErrorCodePrefix[ErrorCodePrefix["General"] = 0] = "General";
    ErrorCodePrefix[ErrorCodePrefix["Grpc"] = 1] = "Grpc";
    ErrorCodePrefix[ErrorCodePrefix["Service"] = 2] = "Service";
    ErrorCodePrefix[ErrorCodePrefix["Wallet"] = 3] = "Wallet";
    ErrorCodePrefix[ErrorCodePrefix["Chain"] = 4] = "Chain";
    ErrorCodePrefix[ErrorCodePrefix["Lightning"] = 5] = "Lightning";
    ErrorCodePrefix[ErrorCodePrefix["Swap"] = 6] = "Swap";
    ErrorCodePrefix[ErrorCodePrefix["Rates"] = 7] = "Rates";
    ErrorCodePrefix[ErrorCodePrefix["Backup"] = 8] = "Backup";
    ErrorCodePrefix[ErrorCodePrefix["Ethereum"] = 9] = "Ethereum";
})(ErrorCodePrefix || (exports.ErrorCodePrefix = ErrorCodePrefix = {}));
var ClientStatus;
(function (ClientStatus) {
    ClientStatus["Disconnected"] = "disconnected";
    ClientStatus["Connected"] = "connected";
    ClientStatus["OutOfSync"] = "out of sync";
})(ClientStatus || (exports.ClientStatus = ClientStatus = {}));
var OrderSide;
(function (OrderSide) {
    OrderSide[OrderSide["BUY"] = 0] = "BUY";
    OrderSide[OrderSide["SELL"] = 1] = "SELL";
})(OrderSide || (exports.OrderSide = OrderSide = {}));
var SwapUpdateEvent;
(function (SwapUpdateEvent) {
    SwapUpdateEvent["SwapCreated"] = "swap.created";
    SwapUpdateEvent["SwapExpired"] = "swap.expired";
    SwapUpdateEvent["ChannelCreated"] = "channel.created";
    SwapUpdateEvent["InvoiceSet"] = "invoice.set";
    SwapUpdateEvent["InvoicePaid"] = "invoice.paid";
    SwapUpdateEvent["InvoicePending"] = "invoice.pending";
    SwapUpdateEvent["InvoiceSettled"] = "invoice.settled";
    SwapUpdateEvent["InvoiceFailedToPay"] = "invoice.failedToPay";
    // When an onchain transaction:
    // - cannot be sent from the backend
    // - of the user is rejected by the backend
    SwapUpdateEvent["TransactionFailed"] = "transaction.failed";
    SwapUpdateEvent["TransactionMempool"] = "transaction.mempool";
    SwapUpdateEvent["TransactionClaimPending"] = "transaction.claim.pending";
    SwapUpdateEvent["TransactionClaimed"] = "transaction.claimed";
    SwapUpdateEvent["TransactionRefunded"] = "transaction.refunded";
    SwapUpdateEvent["TransactionConfirmed"] = "transaction.confirmed";
    SwapUpdateEvent["TransactionLockupFailed"] = "transaction.lockupFailed";
    SwapUpdateEvent["TransactionZeroConfRejected"] = "transaction.zeroconf.rejected";
    // Events for the prepay miner fee Reverse Swap protocol
    SwapUpdateEvent["MinerFeePaid"] = "minerfee.paid";
    SwapUpdateEvent["InvoiceExpired"] = "invoice.expired";
})(SwapUpdateEvent || (exports.SwapUpdateEvent = SwapUpdateEvent = {}));
exports.SuccessSwapUpdateEvents = [
    SwapUpdateEvent.InvoiceSettled,
    SwapUpdateEvent.TransactionClaimed,
];
exports.FailedSwapUpdateEvents = [
    SwapUpdateEvent.SwapExpired,
    SwapUpdateEvent.TransactionLockupFailed,
    SwapUpdateEvent.InvoiceFailedToPay,
    SwapUpdateEvent.TransactionRefunded,
];
exports.NotPendingSwapEvents = [
    SwapUpdateEvent.SwapExpired,
    SwapUpdateEvent.InvoiceFailedToPay,
    SwapUpdateEvent.TransactionClaimed,
];
exports.NotPendingReverseSwapEvents = [
    SwapUpdateEvent.SwapExpired,
    SwapUpdateEvent.InvoiceSettled,
    SwapUpdateEvent.TransactionFailed,
    SwapUpdateEvent.TransactionRefunded,
];
var ChannelCreationType;
(function (ChannelCreationType) {
    ChannelCreationType["Auto"] = "auto";
    ChannelCreationType["Create"] = "create";
})(ChannelCreationType || (exports.ChannelCreationType = ChannelCreationType = {}));
var ChannelCreationStatus;
(function (ChannelCreationStatus) {
    ChannelCreationStatus["Attempted"] = "attempted";
    ChannelCreationStatus["Created"] = "created";
    ChannelCreationStatus["Settled"] = "settled";
    ChannelCreationStatus["Abandoned"] = "abandoned";
})(ChannelCreationStatus || (exports.ChannelCreationStatus = ChannelCreationStatus = {}));
var ServiceWarning;
(function (ServiceWarning) {
    ServiceWarning["ReverseSwapsDisabled"] = "reverse.swaps.disabled";
})(ServiceWarning || (exports.ServiceWarning = ServiceWarning = {}));
var ServiceInfo;
(function (ServiceInfo) {
    ServiceInfo["PrepayMinerFee"] = "prepay.minerfee";
})(ServiceInfo || (exports.ServiceInfo = ServiceInfo = {}));
var Network;
(function (Network) {
    Network["Mainnet"] = "mainnet";
    Network["Testnet"] = "testnet";
    Network["Simnet"] = "simnet";
    Network["Regtest"] = "regtest";
})(Network || (exports.Network = Network = {}));
var SwapType;
(function (SwapType) {
    SwapType["Submarine"] = "submarine";
    SwapType["ReverseSubmarine"] = "reversesubmarine";
})(SwapType || (exports.SwapType = SwapType = {}));
var BaseFeeType;
(function (BaseFeeType) {
    BaseFeeType[BaseFeeType["NormalClaim"] = 0] = "NormalClaim";
    BaseFeeType[BaseFeeType["ReverseLockup"] = 1] = "ReverseLockup";
    BaseFeeType[BaseFeeType["ReverseClaim"] = 2] = "ReverseClaim";
})(BaseFeeType || (exports.BaseFeeType = BaseFeeType = {}));
var CurrencyType;
(function (CurrencyType) {
    CurrencyType[CurrencyType["BitcoinLike"] = 0] = "BitcoinLike";
    CurrencyType[CurrencyType["Ether"] = 1] = "Ether";
    CurrencyType[CurrencyType["ERC20"] = 2] = "ERC20";
    CurrencyType[CurrencyType["Liquid"] = 3] = "Liquid";
})(CurrencyType || (exports.CurrencyType = CurrencyType = {}));
var SwapVersion;
(function (SwapVersion) {
    SwapVersion[SwapVersion["Legacy"] = 0] = "Legacy";
    SwapVersion[SwapVersion["Taproot"] = 1] = "Taproot";
})(SwapVersion || (exports.SwapVersion = SwapVersion = {}));
const swapVersionToString = (version) => {
    switch (version) {
        case SwapVersion.Taproot:
            return 'Taproot';
        default:
            return 'Legacy';
    }
};
exports.swapVersionToString = swapVersionToString;
//# sourceMappingURL=Enums.js.map