"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const ReferralRepository_1 = __importDefault(require("../db/repositories/ReferralRepository"));
const Utils_2 = require("./Utils");
class ReferralStats {
}
_a = ReferralStats;
ReferralStats.getReferralFees = async (referralKey) => {
    const data = await ReferralRepository_1.default.getReferralSum(referralKey);
    const years = {};
    data.forEach((ref) => {
        let assets = (0, Utils_2.getNestedObject)((0, Utils_2.getNestedObject)(years, ref.year), ref.month);
        if (referralKey === undefined) {
            assets = (0, Utils_2.getNestedObject)(assets, ref.referral);
        }
        const { quote } = (0, Utils_1.splitPairId)(ref.pair);
        assets[quote] = (assets[quote] || 0) + ref.sum;
    });
    return years;
};
exports.default = ReferralStats;
//# sourceMappingURL=ReferralStats.js.map