"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Swap_1 = __importDefault(require("./Swap"));
class ChannelCreation extends sequelize_1.Model {
}
ChannelCreation.load = (sequelize) => {
    ChannelCreation.init({
        swapId: {
            type: new sequelize_1.DataTypes.STRING(255),
            primaryKey: true,
            allowNull: false,
        },
        status: { type: new sequelize_1.DataTypes.STRING(255), allowNull: true },
        type: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        private: { type: sequelize_1.DataTypes.BOOLEAN, allowNull: false },
        nodePublicKey: { type: new sequelize_1.DataTypes.STRING(255), allowNull: true },
        inboundLiquidity: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        fundingTransactionId: {
            type: new sequelize_1.DataTypes.STRING(255),
            allowNull: true,
        },
        fundingTransactionVout: {
            type: new sequelize_1.DataTypes.INTEGER(),
            allowNull: true,
        },
    }, {
        sequelize,
        tableName: 'channelCreations',
        indexes: [
            {
                unique: true,
                fields: ['swapId'],
            },
        ],
    });
    ChannelCreation.belongsTo(Swap_1.default, {
        foreignKey: 'swapId',
    });
};
exports.default = ChannelCreation;
//# sourceMappingURL=ChannelCreation.js.map