"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class PendingEthereumTransaction extends sequelize_1.Model {
}
PendingEthereumTransaction.load = (sequelize) => {
    PendingEthereumTransaction.init({
        hash: {
            type: new sequelize_1.DataTypes.STRING(255),
            primaryKey: true,
            allowNull: false,
        },
        nonce: {
            type: new sequelize_1.DataTypes.INTEGER(),
            unique: true,
            allowNull: false,
        },
    }, {
        sequelize,
        timestamps: false,
        tableName: 'pendingEthereumTransactions',
        indexes: [
            {
                unique: true,
                fields: ['hash'],
            },
            {
                unique: true,
                fields: ['nonce'],
            },
        ],
    });
};
exports.default = PendingEthereumTransaction;
//# sourceMappingURL=PendingEthereumTransaction.js.map