"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class Referral extends sequelize_1.Model {
}
Referral.load = (sequelize) => {
    Referral.init({
        id: {
            type: new sequelize_1.DataTypes.STRING(255),
            primaryKey: true,
            allowNull: false,
        },
        apiKey: {
            type: new sequelize_1.DataTypes.STRING(255),
            unique: true,
            allowNull: false,
        },
        apiSecret: {
            type: new sequelize_1.DataTypes.STRING(255),
            unique: true,
            allowNull: false,
        },
        feeShare: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        routingNode: {
            type: new sequelize_1.DataTypes.STRING(),
            allowNull: true,
            unique: true,
        },
    }, {
        sequelize,
        tableName: 'referrals',
        indexes: [
            {
                unique: true,
                fields: ['id'],
            },
            {
                unique: true,
                fields: ['apiKey'],
            },
        ],
    });
};
exports.default = Referral;
//# sourceMappingURL=Referral.js.map