import { Model, Sequelize } from 'sequelize';
import { SwapVersion } from '../../consts/Enums';
declare enum NodeType {
    LND = 0,
    CLN = 1
}
type ReverseSwapType = {
    id: string;
    version: SwapVersion;
    lockupAddress: string;
    keyIndex?: number;
    claimPublicKey?: string;
    redeemScript?: string;
    claimAddress?: string;
    fee: number;
    referral?: string;
    minerFee?: number;
    pair: string;
    orderSide: number;
    status: string;
    failureReason?: string;
    timeoutBlockHeight: number;
    node: NodeType;
    invoice: string;
    invoiceAmount: number;
    minerFeeInvoice?: string;
    minerFeeInvoicePreimage?: string;
    minerFeeOnchainAmount?: number;
    preimageHash: string;
    preimage?: string;
    onchainAmount: number;
    transactionId?: string;
    transactionVout?: number;
};
declare class ReverseSwap extends Model implements ReverseSwapType {
    id: string;
    version: SwapVersion;
    lockupAddress: string;
    keyIndex?: number;
    claimPublicKey?: string;
    redeemScript?: string;
    claimAddress?: string;
    fee: number;
    referral?: string;
    minerFee: number;
    pair: string;
    orderSide: number;
    status: string;
    failureReason?: string;
    timeoutBlockHeight: number;
    node: NodeType;
    invoice: string;
    invoiceAmount: number;
    minerFeeInvoice?: string;
    minerFeeInvoicePreimage?: string;
    minerFeeOnchainAmount?: number;
    preimageHash: string;
    preimage?: string;
    onchainAmount: number;
    transactionId?: string;
    transactionVout?: number;
    createdAt: Date;
    updatedAt: Date;
    static load: (sequelize: Sequelize) => void;
}
export default ReverseSwap;
export { ReverseSwapType, NodeType };
