import { Model, Sequelize } from 'sequelize';
import { SwapVersion } from '../../consts/Enums';
type SwapType = {
    id: string;
    version: SwapVersion;
    keyIndex?: number;
    refundPublicKey?: string;
    redeemScript?: string;
    fee?: number;
    referral?: string;
    routingFee?: number;
    minerFee?: number;
    pair: string;
    orderSide: number;
    status: string;
    failureReason?: string;
    preimageHash: string;
    invoice?: string;
    invoiceAmount?: number;
    acceptZeroConf?: boolean;
    timeoutBlockHeight: number;
    rate?: number;
    expectedAmount?: number;
    onchainAmount?: number;
    lockupAddress: string;
    lockupTransactionId?: string;
    lockupTransactionVout?: number;
};
declare class Swap extends Model implements SwapType {
    id: string;
    version: SwapVersion;
    keyIndex?: number;
    refundPublicKey?: string;
    redeemScript?: string;
    fee?: number;
    referral?: string;
    routingFee?: number;
    minerFee?: number;
    pair: string;
    orderSide: number;
    status: string;
    failureReason?: string;
    preimageHash: string;
    invoice?: string;
    invoiceAmount?: number;
    acceptZeroConf?: boolean;
    timeoutBlockHeight: number;
    rate?: number;
    expectedAmount?: number;
    onchainAmount?: number;
    lockupAddress: string;
    lockupTransactionId?: string;
    lockupTransactionVout?: number;
    createdAt: Date;
    updatedAt: Date;
    static load: (sequelize: Sequelize) => void;
}
export default Swap;
export { SwapType };
