import { WhereOptions } from 'sequelize';
import ChannelCreation, { ChannelCreationType } from '../models/ChannelCreation';
declare class ChannelCreationRepository {
    static getChannelCreation: (options?: WhereOptions) => Promise<ChannelCreation | null>;
    static getChannelCreations: (options?: WhereOptions) => Promise<ChannelCreation[]>;
    static addChannelCreation: (channelCreation: ChannelCreationType) => Promise<ChannelCreation>;
    static setAttempted: (channelCreation: ChannelCreation) => Promise<ChannelCreation>;
    static setFundingTransaction: (channelCreation: ChannelCreation, fundingTransactionId: string, fundingTransactionVout: number) => Promise<ChannelCreation>;
    static setNodePublicKey: (channelCreation: ChannelCreation, nodePublicKey: string) => Promise<ChannelCreation>;
    static setSettled: (channelCreation: ChannelCreation) => Promise<ChannelCreation>;
    static setAbandoned: (channelCreation: ChannelCreation) => Promise<ChannelCreation>;
    static dropTable: () => Promise<void>;
}
export default ChannelCreationRepository;
