"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Enums_1 = require("../../consts/Enums");
const ChannelCreation_1 = __importDefault(require("../models/ChannelCreation"));
class ChannelCreationRepository {
}
ChannelCreationRepository.getChannelCreation = (options) => {
    return ChannelCreation_1.default.findOne({
        where: options,
    });
};
ChannelCreationRepository.getChannelCreations = (options) => {
    return ChannelCreation_1.default.findAll({
        where: options,
    });
};
ChannelCreationRepository.addChannelCreation = (channelCreation) => {
    return ChannelCreation_1.default.create(channelCreation);
};
ChannelCreationRepository.setAttempted = (channelCreation) => {
    return channelCreation.update({
        status: Enums_1.ChannelCreationStatus.Attempted,
    });
};
ChannelCreationRepository.setFundingTransaction = (channelCreation, fundingTransactionId, fundingTransactionVout) => {
    return channelCreation.update({
        fundingTransactionId,
        fundingTransactionVout,
        status: Enums_1.ChannelCreationStatus.Created,
    });
};
ChannelCreationRepository.setNodePublicKey = (channelCreation, nodePublicKey) => {
    return channelCreation.update({
        nodePublicKey,
    });
};
ChannelCreationRepository.setSettled = (channelCreation) => {
    return channelCreation.update({
        status: Enums_1.ChannelCreationStatus.Settled,
    });
};
ChannelCreationRepository.setAbandoned = (channelCreation) => {
    return channelCreation.update({
        status: Enums_1.ChannelCreationStatus.Abandoned,
    });
};
ChannelCreationRepository.dropTable = () => {
    return ChannelCreation_1.default.drop();
};
exports.default = ChannelCreationRepository;
//# sourceMappingURL=ChannelCreationRepository.js.map