"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Enums_1 = require("../../consts/Enums");
const Database_1 = __importStar(require("../Database"));
class FeeRepository {
}
FeeRepository.queryFees = {
    // language=PostgreSQL
    [Database_1.DatabaseType.PostgreSQL]: `
WITH data AS (
    SELECT
        CASE WHEN "orderSide" = 1
            THEN SPLIT_PART(pair, '/', 1)
            ELSE SPLIT_PART(pair, '/', 2)
        END AS asset,
        pair,
        status,
        fee
    FROM swaps
    UNION ALL
    SELECT
        CASE WHEN "orderSide" = 1
            THEN SPLIT_PART(pair, '/', 2)
            ELSE SPLIT_PART(pair, '/', 1)
        END AS asset,
        pair,
        status,
        fee
    FROM "reverseSwaps"
)
SELECT
    asset,
    SUM(fee) AS sum
FROM data
WHERE status IN (?)
GROUP BY asset
ORDER BY asset;
`,
    // language=SQLite
    [Database_1.DatabaseType.SQLite]: `
WITH data AS (
    SELECT
        CASE WHEN orderSide
            THEN SUBSTRING(pair, 0, INSTR(pair, '/'))
            ELSE SUBSTRING(pair, INSTR(pair, '/') + 1)
        END AS asset,
        pair,
        status,
        fee
    FROM swaps
    UNION ALL
    SELECT
        CASE WHEN orderSide
            THEN SUBSTRING(pair, INSTR(pair, '/') + 1)
            ELSE SUBSTRING(pair, 0, INSTR(pair, '/'))
        END AS asset,
        pair,
        status,
        fee
    FROM reverseSwaps
)
SELECT
    asset,
    SUM(fee) AS sum
FROM data
WHERE status IN (?)
GROUP BY asset;
    `,
};
FeeRepository.getFees = () => {
    return Database_1.default.sequelize.query({
        query: FeeRepository.queryFees[Database_1.default.type],
        values: [Enums_1.SuccessSwapUpdateEvents],
    }, {
        type: sequelize_1.QueryTypes.SELECT,
    });
};
exports.default = FeeRepository;
//# sourceMappingURL=FeeRepository.js.map