import Referral, { ReferralType } from '../models/Referral';
import { StatsDate } from './StatsRepository';
type ReferralSumRow = StatsDate & {
    pair: string;
    referral: string;
    sum: number;
};
declare class ReferralRepository {
    private static readonly referralSumQuery;
    static addReferral: (referral: ReferralType) => Promise<Referral>;
    static getReferrals: () => Promise<Referral[]>;
    static getReferralByApiKey: (apiKey: string) => Promise<Referral | null>;
    static getReferralByRoutingNode: (routingNode: string) => Promise<Referral | null>;
    static getReferralSum: (referralKey?: string) => Promise<ReferralSumRow[]>;
}
export default ReferralRepository;
export { ReferralType };
