import { WhereOptions } from 'sequelize';
import ReverseSwap, { ReverseSwapType } from '../models/ReverseSwap';
declare class ReverseSwapRepository {
    static getReverseSwaps: (options?: WhereOptions) => Promise<ReverseSwap[]>;
    static getReverseSwapsExpirable: (height: number) => Promise<ReverseSwap[]>;
    static getReverseSwap: (options: WhereOptions) => Promise<ReverseSwap | null>;
    static addReverseSwap: (reverseSwap: ReverseSwapType) => Promise<ReverseSwap>;
    static setReverseSwapStatus: (reverseSwap: ReverseSwap, status: string, failureReason?: string) => Promise<ReverseSwap>;
    static setLockupTransaction: (reverseSwap: ReverseSwap, transactionId: string, minerFee: number, vout?: number) => Promise<ReverseSwap>;
    static setPreimage: (reverseSwap: ReverseSwap, preimage: string) => Promise<ReverseSwap>;
    static setInvoiceSettled: (reverseSwap: ReverseSwap, preimage: string) => Promise<ReverseSwap>;
    static setTransactionRefunded: (reverseSwap: ReverseSwap, minerFee: number, failureReason: string) => Promise<ReverseSwap>;
    static dropTable: () => Promise<void>;
}
export default ReverseSwapRepository;
