import { WhereOptions } from 'sequelize';
import Swap, { SwapType } from '../models/Swap';
declare class SwapRepository {
    static getSwaps: (options?: WhereOptions) => Promise<Swap[]>;
    static getSwapsExpirable: (height: number) => Promise<Swap[]>;
    static getSwapsClaimable: () => Promise<Swap[]>;
    static getSwap: (options: WhereOptions) => Promise<Swap | null>;
    static addSwap: (swap: SwapType) => Promise<Swap>;
    static setSwapStatus: (swap: Swap, status: string, failureReason?: string) => Promise<Swap>;
    static setInvoice: (swap: Swap, invoice: string, invoiceAmount: number, expectedAmount: number, fee: number, acceptZeroConf: boolean) => Promise<Swap>;
    static setLockupTransaction: (swap: Swap, lockupTransactionId: string, onchainAmount: number, confirmed: boolean, lockupTransactionVout?: number) => Promise<Swap>;
    static setRate: (swap: Swap, rate: number) => Promise<Swap>;
    static setInvoicePaid: (swap: Swap, routingFee: number) => Promise<Swap>;
    static setMinerFee: (swap: Swap, minerFee: number) => Promise<Swap>;
    static dropTable: () => Promise<void>;
}
export default SwapRepository;
