import { handleUnaryCall } from '@grpc/grpc-js';
import Logger from '../Logger';
import * as boltzrpc from '../proto/boltzrpc_pb';
import Service from '../service/Service';
declare class GrpcService {
    private readonly logger;
    private readonly service;
    constructor(logger: Logger, service: Service);
    getInfo: handleUnaryCall<boltzrpc.GetInfoRequest, boltzrpc.GetInfoResponse>;
    getBalance: handleUnaryCall<boltzrpc.GetBalanceRequest, boltzrpc.GetBalanceResponse>;
    deriveKeys: handleUnaryCall<boltzrpc.DeriveKeysRequest, boltzrpc.DeriveKeysResponse>;
    deriveBlindingKeys: handleUnaryCall<boltzrpc.DeriveBlindingKeyRequest, boltzrpc.DeriveBlindingKeyResponse>;
    unblindOutputs: handleUnaryCall<boltzrpc.UnblindOutputsRequest, boltzrpc.UnblindOutputsResponse>;
    getAddress: handleUnaryCall<boltzrpc.GetAddressRequest, boltzrpc.GetAddressResponse>;
    sendCoins: handleUnaryCall<boltzrpc.SendCoinsRequest, boltzrpc.SendCoinsResponse>;
    updateTimeoutBlockDelta: handleUnaryCall<boltzrpc.UpdateTimeoutBlockDeltaRequest, boltzrpc.UpdateTimeoutBlockDeltaResponse>;
    addReferral: handleUnaryCall<boltzrpc.AddReferralRequest, boltzrpc.AddReferralResponse>;
    setSwapStatus: handleUnaryCall<boltzrpc.SetSwapStatusRequest, boltzrpc.SetSwapStatusResponse>;
    getLockedFunds: handleUnaryCall<boltzrpc.GetLockedFundsRequest, boltzrpc.GetLockedFundsResponse>;
    getPendingSweeps: handleUnaryCall<boltzrpc.GetPendingSweepsRequest, boltzrpc.GetPendingSweepsResponse>;
    sweepSwaps: handleUnaryCall<boltzrpc.SweepSwapsRequest, boltzrpc.SweepSwapsResponse>;
    rescan: handleUnaryCall<boltzrpc.RescanRequest, boltzrpc.RescanResponse>;
    devHeapDump: handleUnaryCall<boltzrpc.DevHeapDumpRequest, boltzrpc.DevHeapDumpResponse>;
    private handleCallback;
}
export default GrpcService;
