"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unaryCall = exports.grpcOptions = void 0;
exports.grpcOptions = {
    // 200 MB which is the same value lncli uses: https://github.com/lightningnetwork/lnd/commit/7470f696aebc51b4ab354324e6536f54446538e1
    'grpc.max_receive_message_length': 1024 * 1024 * 200,
};
const unaryCall = (client, methodName, params, meta, toObject = true) => {
    return new Promise((resolve, reject) => {
        client[methodName](params, meta, (err, response) => {
            if (err) {
                reject(err);
            }
            else {
                resolve(toObject ? response.toObject() : response);
            }
        });
    });
};
exports.unaryCall = unaryCall;
//# sourceMappingURL=GrpcUtils.js.map