"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculatePaymentFee = exports.InvoiceFeature = exports.InvoiceState = exports.HtlcState = void 0;
const Utils_1 = require("../Utils");
var InvoiceState;
(function (InvoiceState) {
    InvoiceState[InvoiceState["Open"] = 0] = "Open";
    InvoiceState[InvoiceState["Settled"] = 1] = "Settled";
    InvoiceState[InvoiceState["Cancelled"] = 2] = "Cancelled";
    InvoiceState[InvoiceState["Accepted"] = 3] = "Accepted";
})(InvoiceState || (exports.InvoiceState = InvoiceState = {}));
var HtlcState;
(function (HtlcState) {
    HtlcState[HtlcState["Accepted"] = 0] = "Accepted";
    HtlcState[HtlcState["Settled"] = 1] = "Settled";
    HtlcState[HtlcState["Cancelled"] = 2] = "Cancelled";
})(HtlcState || (exports.HtlcState = HtlcState = {}));
var InvoiceFeature;
(function (InvoiceFeature) {
    InvoiceFeature[InvoiceFeature["MPP"] = 0] = "MPP";
    InvoiceFeature[InvoiceFeature["AMP"] = 1] = "AMP";
})(InvoiceFeature || (exports.InvoiceFeature = InvoiceFeature = {}));
const calculatePaymentFee = (invoice, maxRatio, minFee) => {
    const invoiceAmt = (0, Utils_1.decodeInvoiceAmount)(invoice);
    return Math.ceil(Math.max(invoiceAmt * maxRatio, minFee));
};
exports.calculatePaymentFee = calculatePaymentFee;
//# sourceMappingURL=LightningClient.js.map