import BaseClient from '../../BaseClient';
import Logger from '../../Logger';
import * as mpayrpc from '../../proto/mpay/mpay_pb';
import { PaymentResponse } from '../LightningClient';
import { BaseConfig } from './Types';
declare class Mpay extends BaseClient {
    readonly symbol: string;
    static readonly serviceName = "mpay";
    private client?;
    private readonly uri;
    private readonly creds;
    private readonly meta;
    constructor(logger: Logger, symbol: string, config: BaseConfig);
    serviceName: () => string;
    connect: () => Promise<boolean>;
    disconnect: () => void;
    getInfo: () => Promise<mpayrpc.GetInfoResponse.AsObject>;
    sendPayment: (invoice: string, maxFeeMsat: number, timeout: number, maxDelay?: number) => Promise<PaymentResponse>;
    private unaryNodeCall;
}
export default Mpay;
