"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const grpc_js_1 = require("@grpc/grpc-js");
const BaseClient_1 = __importDefault(require("../../BaseClient"));
const Utils_1 = require("../../Utils");
const Enums_1 = require("../../consts/Enums");
const mpay_grpc_pb_1 = require("../../proto/mpay/mpay_grpc_pb");
const mpayrpc = __importStar(require("../../proto/mpay/mpay_pb"));
const GrpcUtils_1 = require("../GrpcUtils");
const Types_1 = require("./Types");
class Mpay extends BaseClient_1.default {
    constructor(logger, symbol, config) {
        super(logger, symbol);
        this.symbol = symbol;
        this.meta = new grpc_js_1.Metadata();
        this.serviceName = () => Mpay.serviceName;
        this.connect = async () => {
            if (this.isConnected()) {
                return true;
            }
            this.client = new mpay_grpc_pb_1.MpayClient(this.uri, this.creds, {
                ...GrpcUtils_1.grpcOptions,
                'grpc.ssl_target_name_override': 'mpay',
            });
            try {
                await this.getInfo();
                this.setClientStatus(Enums_1.ClientStatus.Connected);
            }
            catch (error) {
                this.setClientStatus(Enums_1.ClientStatus.Disconnected);
                this.logger.error(`Could not connect to ${Mpay.serviceName} ${this.symbol}: ${(0, Utils_1.formatError)(error)}`);
                this.logger.info(`Retrying in ${this.RECONNECT_INTERVAL} ms`);
                this.reconnectionTimer = setTimeout(this.connect, this.RECONNECT_INTERVAL);
                return false;
            }
            return true;
        };
        this.disconnect = () => {
            this.clearReconnectTimer();
            this.removeAllListeners();
            this.setClientStatus(Enums_1.ClientStatus.Disconnected);
            this.client?.close();
        };
        this.getInfo = () => this.unaryNodeCall('getInfo', new mpayrpc.GetInfoRequest());
        this.sendPayment = async (invoice, maxFeeMsat, timeout, maxDelay) => {
            const req = new mpayrpc.PayRequest();
            req.setBolt11(invoice);
            req.setTimeout(timeout);
            req.setMaxFeeMsat(maxFeeMsat);
            if (maxDelay) {
                req.setMaxDelay(maxDelay);
            }
            const res = await this.unaryNodeCall('pay', req, false);
            return {
                feeMsat: res.getFeeMsat(),
                preimage: (0, Utils_1.getHexBuffer)(res.getPaymentPreimage()),
            };
        };
        this.unaryNodeCall = (methodName, params, toObject = true) => {
            return (0, GrpcUtils_1.unaryCall)(this.client, methodName, params, this.meta, toObject);
        };
        this.uri = `${config.host}:${config.port}`;
        this.creds = (0, Types_1.createSsl)(Mpay.serviceName, this.symbol, config);
    }
}
Mpay.serviceName = 'mpay';
exports.default = Mpay;
//# sourceMappingURL=MpayClient.js.map