"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSsl = void 0;
const grpc_js_1 = require("@grpc/grpc-js");
const fs_1 = __importDefault(require("fs"));
const Errors_1 = __importDefault(require("../Errors"));
const createSsl = (serviceName, symbol, config) => {
    const certFiles = [
        config.rootCertPath,
        config.privateKeyPath,
        config.certChainPath,
    ];
    if (!certFiles.map((file) => fs_1.default.existsSync(file)).every((exists) => exists)) {
        throw Errors_1.default.COULD_NOT_FIND_FILES(symbol, serviceName);
    }
    const [rootCert, privateKey, certChain] = certFiles.map((file) => fs_1.default.readFileSync(file));
    return grpc_js_1.credentials.createSsl(rootCert, privateKey, certChain);
};
exports.createSsl = createSsl;
//# sourceMappingURL=Types.js.map