import { NotificationConfig } from '../../Config';
import Logger from '../../Logger';
import TypedEventEmitter from '../../consts/TypedEventEmitter';
declare abstract class NotificationClient extends TypedEventEmitter<{
    message: string;
    error: Error | string;
}> {
    readonly serviceName: string;
    protected readonly logger: Logger;
    protected readonly config: NotificationConfig;
    protected readonly prefix: string;
    protected constructor(serviceName: string, logger: Logger, config: NotificationConfig);
    abstract init(): Promise<void>;
    abstract destroy(): void;
    abstract sendMessage(message: string, isAlert?: boolean): Promise<void>;
    protected selectChannel: <T>(channel?: T, channelAlerts?: T, isAlert?: boolean) => T | undefined;
}
export default NotificationClient;
