import Logger from '../Logger';
import TypedEventEmitter from '../consts/TypedEventEmitter';
import Swap from '../db/models/Swap';
import { Currency } from '../wallet/WalletManager';
import RateProvider from './RateProvider';
declare class LockupTransactionTracker extends TypedEventEmitter<{
    'zeroConf.disabled': string;
}> {
    private readonly logger;
    private readonly rateProvider;
    private readonly lock;
    private readonly zeroConfAcceptedMap;
    constructor(logger: Logger, currencies: Map<string, Currency>, rateProvider: RateProvider);
    zeroConfAccepted: (symbol: string) => boolean;
    addPendingTransactionToTrack: (swap: Swap) => Promise<void>;
    private listenToBlocks;
    private checkPendingLockupsForChain;
}
export default LockupTransactionTracker;
