"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Exchange_1 = require("../Exchange");
class Bitfinex {
    constructor() {
        /**
         * Bitfinex calls USDT "UST" internally
         */
        this.replaceUSDT = (asset) => {
            return asset === 'USDT' ? 'UST' : asset;
        };
    }
    async getPrice(baseAsset, quoteAsset) {
        const response = await (0, Exchange_1.makeRequest)(`${Bitfinex.API}/ticker/t${this.replaceUSDT(baseAsset)}${this.replaceUSDT(quoteAsset)}`);
        return Number(response[6]);
    }
}
Bitfinex.API = 'https://api.bitfinex.com/v2/';
exports.default = Bitfinex;
//# sourceMappingURL=Bitfinex.js.map