"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Exchange_1 = require("../Exchange");
class Kraken {
    constructor() {
        this.parseAsset = (asset) => {
            const assetUpperCase = asset.toUpperCase();
            switch (assetUpperCase) {
                case 'BTC':
                    return 'XBT';
                default:
                    return assetUpperCase;
            }
        };
    }
    async getPrice(baseAsset, quoteAsset) {
        const pair = `${this.parseAsset(baseAsset)}${this.parseAsset(quoteAsset)}`;
        const response = await (0, Exchange_1.makeRequest)(`${Kraken.API}/Ticker?pair=${pair}`);
        const lastTrade = Object.values(response['result'])[0]['c'];
        return Number(lastTrade[0]);
    }
}
Kraken.API = 'https://api.kraken.com/0/public';
exports.default = Kraken;
//# sourceMappingURL=Kraken.js.map