import { OrderSide } from '../../consts/Enums';
import { PairConfig } from '../../consts/Types';
import { Currency } from '../../wallet/WalletManager';
import FeeProvider from '../FeeProvider';
declare abstract class RateProviderBase<T> {
    protected readonly currencies: Map<string, Currency>;
    protected readonly feeProvider: FeeProvider;
    private static minLimitFactor;
    protected constructor(currencies: Map<string, Currency>, feeProvider: FeeProvider);
    abstract setHardcodedPair(pair: PairConfig): void;
    abstract updatePair(pairId: string, rate: number): void;
    abstract updateHardcodedPair(pairId: string): void;
    abstract validatePairHash(hash: string, pairId: string, orderSide: OrderSide, isReverse: boolean): void;
    protected abstract hashPair(pair: T): string;
    protected adjustMinimaForFees: (base: string, quote: string, rate: number, configuredMinima: number, orderSide?: OrderSide, isReverse?: boolean) => number;
    private isPossibleChainCurrency;
}
export default RateProviderBase;
