import { PairConfig } from '../../consts/Types';
import { Currency } from '../../wallet/WalletManager';
import FeeProvider, { MinerFeesForVersion, PercentageFees } from '../FeeProvider';
import RateProviderBase from './RateProviderBase';
type PairTypeLegacy = {
    hash: string;
    rate: number;
    limits: {
        minimal: number;
        maximal: number;
        maximalZeroConf: {
            baseAsset: number;
            quoteAsset: number;
        };
    };
    fees: PercentageFees & {
        minerFees: {
            baseAsset: MinerFeesForVersion;
            quoteAsset: MinerFeesForVersion;
        };
    };
};
declare class RateProviderLegacy extends RateProviderBase<PairTypeLegacy> {
    private readonly pairConfigs;
    private readonly zeroConfAmounts;
    readonly pairs: Map<string, PairTypeLegacy>;
    constructor(currencies: Map<string, Currency>, feeProvider: FeeProvider, pairConfigs: Map<string, PairConfig>, zeroConfAmounts: Map<string, number>);
    setHardcodedPair: (pair: PairConfig) => void;
    updatePair: (pairId: string, rate: number) => void;
    updateHardcodedPair: (pairId: string) => void;
    validatePairHash: (hash: string, pairId: string) => void;
    protected hashPair: (pair: PairTypeLegacy) => string;
    private getLimits;
}
export default RateProviderLegacy;
export { PairTypeLegacy };
