"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
class Blocks {
    constructor(logger, config) {
        this.logger = logger;
        this.config = config;
        this.blocked = new Set();
        this.updateBlocks = async () => {
            if (this.config.urls === undefined || this.config.urls.length === 0) {
                return;
            }
            const addresses = await Promise.all(this.config.urls.map(async (url) => {
                const response = await axios_1.default.get(url);
                this.logger.verbose(`Fetched ${response.data.length} blocked addresses from: ${url}`);
                return response.data;
            }));
            for (const addr of addresses.flat()) {
                this.blocked.add(addr);
            }
        };
        this.isBlocked = (addr) => this.blocked.has(addr);
    }
}
exports.default = Blocks;
//# sourceMappingURL=Blocks.js.map