import { Error } from '../consts/Types';
declare const _default: {
    CURRENCY_NOT_FOUND: (currency: string) => Error;
    ORDER_SIDE_NOT_FOUND: (side: string) => Error;
    SWAP_NOT_FOUND: (id: string) => Error;
    SCRIPT_TYPE_NOT_FOUND: (scriptType: string) => Error;
    PAIR_NOT_FOUND: (pairId: string) => Error;
    SWAP_WITH_INVOICE_EXISTS: () => Error;
    EXCEED_MAXIMAL_AMOUNT: (amount: number, maximalAmount: number) => Error;
    BENEATH_MINIMAL_AMOUNT: (amount: number, minimalAmount: number) => Error;
    REVERSE_SWAPS_DISABLED: () => Error;
    ONCHAIN_AMOUNT_TOO_LOW: () => Error;
    BLOCK_TIME_NOT_FOUND: (symbol: string) => Error;
    INVALID_TIMEOUT_BLOCK_DELTA: () => Error;
    NO_TIMEOUT_DELTA: (pairId: string) => Error;
    SWAP_WITH_PREIMAGE_EXISTS: () => Error;
    SWAP_HAS_INVOICE_ALREADY: (id: string) => Error;
    SWAP_NO_LOCKUP: () => Error;
    INVALID_INVOICE_AMOUNT: (maxInvoiceAmount: number) => Error;
    EXCEEDS_MAX_INBOUND_LIQUIDITY: (inboundLiquidity: number, maxInboundLiquidity: number) => Error;
    BENEATH_MIN_INBOUND_LIQUIDITY: (inboundLiquidity: number, minInboundLiquidity: number) => Error;
    NOT_SUPPORTED_BY_SYMBOL: (symbol: string) => Error;
    ETHEREUM_NOT_ENABLED: () => Error;
    INVALID_ETHEREUM_ADDRESS: () => Error;
    INVALID_PAIR_HASH: () => Error;
    NO_AMOUNT_SPECIFIED: () => Error;
    INVOICE_AND_ONCHAIN_AMOUNT_SPECIFIED: () => Error;
    NOT_WHOLE_NUMBER: (input: number) => Error;
    AMP_INVOICES_NOT_SUPPORTED: () => Error;
    MIN_EXPIRY_TOO_BIG: (swapMaximal: number, minFinalCltvExpiry: number, routingOffset: number) => Error;
    DESTINATION_BOLTZ_NODE: () => Error;
    UNSUPPORTED_SWAP_VERSION: () => Error;
    NOT_ELIGIBLE_FOR_COOPERATIVE_REFUND: () => Error;
    INCORRECT_PREIMAGE: () => Error;
    INVALID_VIN: () => Error;
    NOT_ELIGIBLE_FOR_COOPERATIVE_CLAIM: () => Error;
    NOT_ELIGIBLE_FOR_COOPERATIVE_CLAIM_BROADCAST: () => Error;
    NO_CHAIN_FOR_SYMBOL: () => Error;
    INVALID_PARTIAL_SIGNATURE: () => Error;
    INVOICE_EXPIRY_TOO_SHORT: () => Error;
    SET_SWAP_UPDATE_EVENT_NOT_ALLOWED: (event: string) => Error;
};
export default _default;
