import { PairConfig } from '../consts/Types';
import TimeoutDeltaProvider from './TimeoutDeltaProvider';
declare class InvoiceExpiryHelper {
    private static readonly defaultInvoiceExpiry;
    private readonly invoiceExpiry;
    constructor(pairs: PairConfig[], timeoutDeltaProvider: TimeoutDeltaProvider);
    getExpiry: (pair: string) => number;
    /**
     * Calculates the expiry of an invoice
     * Reference: https://github.com/lightningnetwork/lightning-rfc/blob/master/11-payment-encoding.md#tagged-fields
     *
     * @param timestamp creation timestamp of the invoice
     * @param timeExpireDate expiry timestamp of the invoice
     */
    static getInvoiceExpiry: (timestamp?: number, timeExpireDate?: number) => number;
}
export default InvoiceExpiryHelper;
