import Logger from '../Logger';
import { Currency } from '../wallet/WalletManager';
type LightningNodeInfo = {
    nodeKey: string;
    uris: string[];
};
type Stats = {
    channels: number;
    peers: number;
    capacity: number;
    oldestChannel?: number;
};
declare class NodeInfo {
    private logger;
    private currencies;
    static readonly totalStats = "total";
    readonly stats: Map<string, Map<string, Stats>>;
    readonly uris: Map<string, Map<string, LightningNodeInfo>>;
    private readonly pubkeys;
    private job?;
    constructor(logger: Logger, currencies: Map<string, Currency>);
    init: () => Promise<void>;
    stopSchedule: () => void;
    isOurNode: (pubkey: string) => boolean;
    private update;
    private calculateNodeStats;
}
export default NodeInfo;
export { LightningNodeInfo, Stats };
