/// <reference types="node" />
import Logger from '../../Logger';
import Swap from '../../db/models/Swap';
import SwapNursery from '../../swap/SwapNursery';
import WalletManager, { Currency } from '../../wallet/WalletManager';
type PartialSignature = {
    pubNonce: Buffer;
    signature: Buffer;
};
declare class MusigSigner {
    private readonly logger;
    private readonly currencies;
    private readonly walletManager;
    private readonly nursery;
    constructor(logger: Logger, currencies: Map<string, Currency>, walletManager: WalletManager, nursery: SwapNursery);
    signSwapRefund: (swapId: string, theirNonce: Buffer, rawTransaction: Buffer, index: number) => Promise<PartialSignature>;
    signReverseSwapClaim: (swapId: string, preimage: Buffer, theirNonce: Buffer, rawTransaction: Buffer, index: number) => Promise<PartialSignature>;
    static isEligibleForRefund: (swap: Swap, lightningCurrency: Currency) => Promise<boolean>;
    private static hasNonFailedLightningPayment;
    private createPartialSignature;
}
export default MusigSigner;
export { PartialSignature };
