import Logger from '../Logger';
import TypedEventEmitter from '../consts/TypedEventEmitter';
import ChannelCreation from '../db/models/ChannelCreation';
import Swap from '../db/models/Swap';
import { Currency } from '../wallet/WalletManager';
declare class ChannelNursery extends TypedEventEmitter<{
    'channel.created': {
        swap: Swap;
        channelCreation: ChannelCreation;
    };
}> {
    private logger;
    private settleSwap;
    private overrideAllow;
    private connectionHelper;
    private lock;
    private currencies;
    private settleRetries;
    private static channelSettleLock;
    private static channelCreationLock;
    private static lndNotSyncedTimeout;
    constructor(logger: Logger, settleSwap: (currency: Currency, swap: Swap, outgoingChannelId: string) => Promise<void>, overrideAllow?: boolean);
    init: (currencies: Currency[]) => Promise<void>;
    openChannel: (lightningCurrency: Currency, swap: Swap, channelCreation: ChannelCreation) => Promise<void>;
    private retryOpeningChannels;
    private settleChannel;
    private settleChannelWrapper;
    private settleCreatedChannels;
    private eligibleForChannel;
    private parseFundingTransactionId;
    private getCurrency;
}
export default ChannelNursery;
