import Logger from '../Logger';
import TypedEventEmitter from '../consts/TypedEventEmitter';
import ReverseSwap from '../db/models/ReverseSwap';
/**
 * InvoiceNursery takes care of cancelling pending HTLCs of Reverse Swaps with prepay miner fee
 * in case only one of the two invoices is paid and the other expired and cannot be paid anymore
 */
declare class InvoiceNursery extends TypedEventEmitter<{
    'invoice.expired': ReverseSwap;
}> {
    private logger;
    private static readonly checkInterval;
    private interval;
    constructor(logger: Logger);
    init: () => Promise<void>;
    destroy: () => void;
    private checkExpiredInvoices;
}
export default InvoiceNursery;
