import Logger from '../Logger';
import TypedEventEmitter from '../consts/TypedEventEmitter';
import ReverseSwap from '../db/models/ReverseSwap';
import { LightningClient } from '../lightning/LightningClient';
import { Currency } from '../wallet/WalletManager';
declare class LightningNursery extends TypedEventEmitter<{
    'invoice.paid': ReverseSwap;
    'minerfee.invoice.paid': ReverseSwap;
}> {
    private logger;
    static readonly lightningClientCallTimeout = 15000;
    private lock;
    private static invoiceLock;
    constructor(logger: Logger);
    static errIsInvoicePaid: (error: unknown) => boolean;
    static errIsPaymentInTransition: (error: unknown) => boolean;
    static errIsCltvLimitExceeded: (error: unknown) => boolean;
    static errIsInvoiceExpired: (error: string) => boolean;
    static cancelReverseInvoices: (lightningClient: LightningClient, reverseSwap: ReverseSwap, alsoMinerFeeInvoice: boolean) => Promise<void>;
    bindCurrencies: (currencies: Currency[]) => void;
    private listenInvoices;
    private handleAcceptedInvoice;
}
export default LightningNursery;
