/// <reference types="node" />
import Logger from '../Logger';
import { NodeType } from '../db/models/ReverseSwap';
import { HopHint, LightningClient } from '../lightning/LightningClient';
import { Currency } from '../wallet/WalletManager';
import NodeSwitch from './NodeSwitch';
import RoutingHints from './routing/RoutingHints';
type InvoiceWithRoutingHints = {
    paymentRequest: string;
    routingHints: HopHint[][] | undefined;
};
type HolisticInvoice = InvoiceWithRoutingHints & {
    nodeType: NodeType;
    lightningClient: LightningClient;
};
declare class NodeFallback {
    private logger;
    private nodeSwitch;
    private routingHints;
    private static readonly addInvoiceTimeout;
    constructor(logger: Logger, nodeSwitch: NodeSwitch, routingHints: RoutingHints);
    getReverseSwapInvoice: (id: string, referralId: string | undefined, routingNode: string | undefined, currency: Currency, holdInvoiceAmount: number, preimageHash: Buffer, cltvExpiry?: number, expiry?: number, memo?: string, routingHints?: HopHint[][]) => Promise<HolisticInvoice>;
    private addHoldInvoice;
}
export default NodeFallback;
