import Logger from '../Logger';
import ReverseSwap, { NodeType } from '../db/models/ReverseSwap';
import { LightningClient } from '../lightning/LightningClient';
import { Currency } from '../wallet/WalletManager';
type NodeSwitchConfig = {
    clnAmountThreshold?: number;
    swapNode?: string;
    referralsIds?: Record<string, string>;
};
declare class NodeSwitch {
    private logger;
    private static readonly defaultClnAmountThreshold;
    private readonly clnAmountThreshold;
    private readonly referralIds;
    private readonly swapNode?;
    constructor(logger: Logger, cfg?: NodeSwitchConfig);
    static getReverseSwapNode: (currency: Currency, reverseSwap: ReverseSwap) => LightningClient;
    static hasClient: (currency: Currency) => boolean;
    getSwapNode: (currency: Currency, swap: {
        id?: string;
        invoiceAmount?: number;
        referral?: string;
    }) => LightningClient;
    getNodeForReverseSwap: (id: string, currency: Currency, holdInvoiceAmount: number, referralId?: string) => {
        nodeType: NodeType;
        lightningClient: LightningClient;
    };
    switch: (currency: Currency, amount?: number, referralId?: string) => LightningClient;
    private parseNodeType;
    static fallback: (currency: Currency, client?: LightningClient) => LightningClient;
    private static switchOnNodeType;
}
export default NodeSwitch;
export { NodeSwitchConfig };
