/// <reference types="node" />
import { SwapVersion } from '../consts/Enums';
import { HopHint } from '../lightning/LightningClient';
import RateProvider from '../rates/RateProvider';
import PaymentRequestUtils from '../service/PaymentRequestUtils';
import WalletManager, { Currency } from '../wallet/WalletManager';
type SwapHints = {
    invoiceMemo: string;
    receivedAmount: number;
    bip21?: string;
    routingHint?: HopHint[][];
};
declare class ReverseRoutingHints {
    private readonly walletManager;
    private readonly rateProvider;
    private readonly paymentRequestUtils;
    private static readonly routingHintChanId;
    constructor(walletManager: WalletManager, rateProvider: RateProvider, paymentRequestUtils: PaymentRequestUtils);
    getHints: (sendingCurrency: Currency, args: {
        userAddress?: string;
        version: SwapVersion;
        onchainAmount: number;
        claimPublicKey?: Buffer;
        userAddressSignature?: Buffer;
    }) => SwapHints;
    private encodeRoutingHint;
}
export default ReverseRoutingHints;
