import { OutputType } from 'boltz-core';
import { Error } from '../consts/Types';
declare const _default: {
    NOT_INITIALIZED: () => Error;
    INVALID_MNEMONIC: (mnemonic: string) => Error;
    INVALID_DEPTH_INDEX: (depth: number) => Error;
    NOT_ENOUGH_FUNDS: (amount: number) => Error;
    INVALID_SIGNATURE: () => Error;
    CURRENCY_NOT_SUPPORTED: (symbol: string) => Error;
    OUTPUTTYPE_NOT_SUPPORTED: (symbol: string, type: OutputType) => Error;
    NO_WALLET_SUPPORT: (symbol: string) => Error;
    MISSING_SWAP_CONTRACTS: () => Error;
    INVALID_ETHEREUM_CONFIGURATION: (reason: string) => Error;
    NOT_SUPPORTED_BY_WALLET: (symbol: string, method: string) => Error;
    UNSUPPORTED_CONTRACT_VERSION: (name: string, address: string, actualVersion: bigint, supportedVersion: bigint) => Error;
    TAPROOT_BLINDING_NOT_SUPPORTED: () => Error;
};
export default _default;
