/// <reference types="node" />
import { ERC20Swap } from 'boltz-core/typechain/ERC20Swap';
import { EtherSwap } from 'boltz-core/typechain/EtherSwap';
import { ContractTransactionResponse, Provider } from 'ethers';
import Logger from '../../Logger';
import ERC20WalletProvider from '../providers/ERC20WalletProvider';
import { NetworkDetails } from './EvmNetworks';
declare class ContractHandler {
    private readonly logger;
    private readonly networkDetails;
    private provider;
    private etherSwap;
    private erc20Swap;
    constructor(logger: Logger, networkDetails: NetworkDetails);
    init: (provider: Provider, etherSwap: EtherSwap, erc20Swap: ERC20Swap) => void;
    lockupEther: (preimageHash: Buffer, amount: bigint, claimAddress: string, timeLock: number) => Promise<ContractTransactionResponse>;
    lockupEtherPrepayMinerfee: (preimageHash: Buffer, amount: bigint, amountPrepay: bigint, claimAddress: string, timeLock: number) => Promise<ContractTransactionResponse>;
    claimEther: (preimage: Buffer, amount: bigint, refundAddress: string, timelock: number) => Promise<ContractTransactionResponse>;
    refundEther: (preimageHash: Buffer, amount: bigint, claimAddress: string, timelock: number) => Promise<ContractTransactionResponse>;
    lockupToken: (token: ERC20WalletProvider, preimageHash: Buffer, amount: bigint, claimAddress: string, timeLock: number) => Promise<ContractTransactionResponse>;
    lockupTokenPrepayMinerfee: (token: ERC20WalletProvider, preimageHash: Buffer, amount: bigint, amountPrepay: bigint, claimAddress: string, timeLock: number) => Promise<ContractTransactionResponse>;
    claimToken: (token: ERC20WalletProvider, preimage: Buffer, amount: bigint, refundAddress: string, timeLock: number) => Promise<ContractTransactionResponse>;
    refundToken: (token: ERC20WalletProvider, preimageHash: Buffer, amount: bigint, claimAddress: string, timeLock: number) => Promise<ContractTransactionResponse>;
}
export default ContractHandler;
