/// <reference types="node" />
import { ERC20Swap, LockupEvent as ERC20SwapLockupEvent } from 'boltz-core/typechain/ERC20Swap';
import { EtherSwap, LockupEvent as EtherSwapLockupEvent } from 'boltz-core/typechain/EtherSwap';
import { Provider, Result } from 'ethers';
import { ERC20SwapValues, EtherSwapValues } from '../../consts/Types';
export declare const queryEtherSwapValuesFromLock: (provider: Provider, etherSwap: EtherSwap, lockTransactionHash: string) => Promise<EtherSwapValues>;
export declare const queryERC20SwapValuesFromLock: (provider: Provider, erc20Swap: ERC20Swap, lockTransactionHash: string) => Promise<ERC20SwapValues>;
export declare const queryEtherSwapValues: (etherSwap: EtherSwap, preimageHash: Buffer, startHeight?: number) => Promise<EtherSwapValues>;
export declare const queryERC20SwapValues: (erc20Swap: ERC20Swap, preimageHash: Buffer, startHeight?: number) => Promise<ERC20SwapValues>;
export declare const formatEtherSwapValues: (args: Result | EtherSwapLockupEvent.OutputObject) => EtherSwapValues;
export declare const formatERC20SwapValues: (args: Result | ERC20SwapLockupEvent.OutputObject) => ERC20SwapValues;
