import { Provider, Signer } from 'ethers';
import Logger from '../../Logger';
import { NetworkDetails } from './EvmNetworks';
declare class EthereumTransactionTracker {
    private readonly logger;
    private readonly networkDetails;
    private readonly provider;
    private readonly wallet;
    constructor(logger: Logger, networkDetails: NetworkDetails, provider: Provider, wallet: Signer);
    init: () => Promise<void>;
    /**
     * Scans a block and removes pending transactions from the database in case they were confirmed
     * This method is public and gets called from "EthereumManager" because there is a block subscription
     * in that class already
     */
    scanPendingTransactions: () => Promise<void>;
}
export default EthereumTransactionTracker;
