"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGasPrices = exports.parseBuffer = void 0;
const Utils_1 = require("../../Utils");
/**
 * Removes the 0x prefix of the Ethereum bytes
 */
const parseBuffer = (input) => {
    return (0, Utils_1.getHexBuffer)(input.slice(2));
};
exports.parseBuffer = parseBuffer;
const getGasPrices = async (provider) => {
    const feeData = await provider.getFeeData();
    // Legacy pre EIP-1559 provider
    if (feeData.maxFeePerGas === null || feeData.maxFeePerGas === undefined) {
        return {
            type: 0,
            gasPrice: feeData.gasPrice,
        };
    }
    return {
        type: 2,
        maxFeePerGas: feeData.maxFeePerGas,
        maxPriorityFeePerGas: feeData.maxPriorityFeePerGas,
    };
};
exports.getGasPrices = getGasPrices;
//# sourceMappingURL=EthereumUtils.js.map