import Logger from '../../Logger';
import { AddressType, IChainClient } from '../../chain/ChainClient';
import WalletProviderInterface, { SentTransaction, WalletBalance } from './WalletProviderInterface';
declare class CoreWalletProvider implements WalletProviderInterface {
    logger: Logger;
    chainClient: IChainClient;
    readonly symbol: string;
    constructor(logger: Logger, chainClient: IChainClient);
    serviceName: () => string;
    getAddress: (type?: AddressType) => Promise<string>;
    getBalance: () => Promise<WalletBalance>;
    sendToAddress: (address: string, amount: number, satPerVbyte?: number) => Promise<SentTransaction>;
    sweepWallet: (address: string, satPerVbyte?: number | undefined) => Promise<SentTransaction>;
    private handleCoreTransaction;
    private getFeePerVbyte;
}
export default CoreWalletProvider;
