import { Signer } from 'ethers';
import Logger from '../../Logger';
import { Token } from '../../consts/Types';
import WalletProviderInterface, { SentTransaction, WalletBalance } from './WalletProviderInterface';
declare class ERC20WalletProvider implements WalletProviderInterface {
    private logger;
    private signer;
    private token;
    readonly symbol: string;
    constructor(logger: Logger, signer: Signer, token: Token);
    serviceName: () => string;
    getTokenAddress: () => string;
    getAddress: () => Promise<string>;
    getBalance: () => Promise<WalletBalance>;
    sendToAddress: (address: string, amount: number) => Promise<SentTransaction>;
    sweepWallet: (address: string) => Promise<SentTransaction>;
    getAllowance: (spender: string) => Promise<bigint>;
    approve: (spender: string, amount: bigint) => Promise<SentTransaction>;
    /**
     * Formats the token amount to send from 10 ** -8 decimals
     */
    formatTokenAmount: (amount: number) => bigint;
    /**
     * Normalizes the token balance to 10 ** -8 decimals
     */
    normalizeTokenAmount: (amount: bigint) => number;
}
export default ERC20WalletProvider;
