/// <reference types="node" />
import Logger from '../../Logger';
import { IElementsClient } from '../../chain/ElementsClient';
import WalletProviderInterface, { SentTransaction, WalletBalance } from './WalletProviderInterface';
declare class ElementsWalletProvider implements WalletProviderInterface {
    logger: Logger;
    chainClient: IElementsClient;
    static readonly assetLabel = "bitcoin";
    static readonly feeOutputType = "fee";
    readonly symbol: string;
    constructor(logger: Logger, chainClient: IElementsClient);
    serviceName: () => string;
    getBalance: () => Promise<WalletBalance>;
    getAddress: () => Promise<string>;
    dumpBlindingKey: (address: string) => Promise<Buffer>;
    sendToAddress: (address: string, amount: number, satPerVbyte?: number) => Promise<SentTransaction>;
    sweepWallet: (address: string, satPerVbyte?: number | undefined) => Promise<SentTransaction>;
    private handleLiquidTransaction;
    private getFeePerVbyte;
}
export default ElementsWalletProvider;
