import { Signer } from 'ethers';
import Logger from '../../Logger';
import { NetworkDetails } from '../ethereum/EvmNetworks';
import WalletProviderInterface, { SentTransaction, WalletBalance } from './WalletProviderInterface';
declare class EtherWalletProvider implements WalletProviderInterface {
    private logger;
    private signer;
    readonly symbol: string;
    private readonly ethTransferGas;
    private readonly decimals;
    constructor(logger: Logger, signer: Signer, networkDetails: NetworkDetails);
    serviceName: () => string;
    getAddress: () => Promise<string>;
    getBalance: () => Promise<WalletBalance>;
    sendToAddress: (address: string, amount: number) => Promise<SentTransaction>;
    sweepWallet: (address: string) => Promise<SentTransaction>;
}
export default EtherWalletProvider;
