import Logger from '../../Logger';
import { IChainClient } from '../../chain/ChainClient';
import LndClient from '../../lightning/LndClient';
import WalletProviderInterface, { SentTransaction, WalletBalance } from './WalletProviderInterface';
declare class LndWalletProvider implements WalletProviderInterface {
    logger: Logger;
    lndClient: LndClient;
    chainClient: IChainClient;
    readonly symbol: string;
    constructor(logger: Logger, lndClient: LndClient, chainClient: IChainClient);
    serviceName: () => string;
    getBalance: () => Promise<WalletBalance>;
    getAddress: () => Promise<string>;
    sendToAddress: (address: string, amount: number, satPerVbyte?: number) => Promise<SentTransaction>;
    sweepWallet: (address: string, satPerVbyte?: number) => Promise<SentTransaction>;
    private handleLndTransaction;
    private getFeePerVbyte;
}
export default LndWalletProvider;
